%%PART ONE
%input signal generation
[input3,Fs] = audioread('speech_dft_8kHz.wav'); %see:  https://au.mathworks.com/help/audio/ug/sample-audio-files.html
%n = length(input3) %defining the vector lengths via the audio file
t = 1:1:length(input3); %establishing a time vector for the audio signal
t = t*1/Fs;
n = 600

input1 = [zeros(1,n/2), 1, zeros(1,n/2-1)]';
input2 = [zeros(1,ceil(n/2)), ones(1,floor(n/2))]';

figure(1)
subplot(2,2,1)
plot(input1)

subplot(2,2,2)
plot(input2)

subplot(2,2,3)
plot(t,input3)
%%YOUR CODE HERE
%implement a low pass filter and apply it to the input sigals. plot the
%input signals afterwards






%End your code, make sure your signals are in variables named output1 etc.
figure(2)
subplot(2,2,1)
hold on
plot(input1)
plot(output1,'r')

subplot(2,2,2)
hold on
plot(input2)
plot(output2,'r')

subplot(2,2,3)
hold on
plot(input3)
plot(t,output3,'r')

sound(input3)
pause(6)
sound(output3)