clear all
clf

%%part 1:here we establish a 2d vector representing the motion of a ball
%%across the floor, and a noisy observation of said ball
t = 0:0.04:5;

x = t-2.5;
y = tand(20)*x;

Location = [x;y];

Observation = Location + 0.02*randn(2,length(t));

%Animation of the balls path
figure(1)
hold on;
for i = 1:1:length(t)
    plot(Observation(1,1:i)',Observation(2,1:i)','r')
    plot(Location(1,1:i)',Location(2,1:i)','b')
    pause(0.02)
end


%%YOUR CODE HERE
%generate a 2d rotation matrix and apply this to the observed data


%End code here, place your rotated data in a variable named newObservation
%Animation of the balls path
figure(2)
hold on;
for i = 1:1:length(t)
    plot(newObservation(1,1:i)',newObservation(2,1:i)','r')
    pause(0.02)
end
