%% Today we are going to be learning about sounds.
% Play this to make a funky sound

Fs = 8192;
t = 0:1/8192:2;
y = chirp(t, 100, 2, 3000);
player = audioplayer(y, Fs);
play(player);

%% And lets look at the spectrum that it made!

spectrogram(y,256,250,256,Fs,'yaxis');
pause
%% How about we run that with less samples per second?

y(2:2:end) = []; %Throws every second element out
Fs = Fs/2; %Samples at half the speed
player = audioplayer(y, Fs);
play(player);
pause
%% And lets look at the spectrum that it made again!

spectrogram(y,256,250,256,Fs,'yaxis');
pause
%% How about even less?

y(2:2:end) = []; %Throws every second element out again
Fs = Fs/2; %Samples at half the speed again
player = audioplayer(y, Fs);
play(player);

%% Ditto!

spectrogram(y,256,250,256,Fs,'yaxis');

%% Another Fantastic Matlab Easter Egg

load handel;
player = audioplayer(y, Fs);
play(player);
spectrogram(y,128,124);
%% How about we run that with less samples per second?

y(2:2:end) = []; %Throws every second element out
Fs = Fs/2; %Samples at half the speed
player = audioplayer(y, Fs);
play(player);